<template>
    <div>
        <q-btn round @click="model = true" class="dark-fab">
            <q-avatar size="56px" class="avatar-background">
                <q-icon name="icofont-camera-alt" v-if="value === ''" size="24px"/>
                <img v-else :src="value" alt="none" style="width: 44px; height: 44px;"/>
            </q-avatar>
        </q-btn>
        <q-dialog class="bg-base" v-model="model" persistent>
            <div class="image-uploader q-pa-md bg-base q-gutter-y-sm">
                <div class="text-h5 q-pt-none">{{ title }}</div>
                <div class="text-body1">
                    Pinch or scroll to zoom
                </div>
                <ImageUploader
                    :image="value"
                    :w="s" :h="s" @onSave="Save"
                >
                    <template #prependButton>
                        <q-btn @click="model = false">
                            Back
                        </q-btn>
                    </template>
                </ImageUploader>
            </div>

        </q-dialog>
    </div>
</template>

<style lang='scss' scoped>
.body--light {

    .avatar-background {
        background: white;
    }
}

.body--dark {
    .avatar-background {
        background: #232323;
    }
}
</style>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import ImageUploader from "components/Core/ImageUploader.vue";

@Component({
    components: {ImageUploader}
})
export default class AvatarPicker extends Vue {
    @Prop() value!: string;
    @Prop() title!: string;

    model = false;

    get s() {
        return this.$q.platform.is.mobile ? 250 : 400
    }


    Save(image: string) {
        this.model = false;
        this.$emit('input', image);
    }
}
</script>
